Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0049946
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Retail Modules] Web POSminorhave not tried2022-08-04 11:282022-08-12 15:11
Reporternicola_uvaView Statuspublic 
Assigned ToRetail 
PrioritynormalResolutionfixedFixed in VersionRR22Q4
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Versionpi
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0049946: Authorizes the company to send information in paper format to the address indicated by the customer.

DescriptionBack office:
Add, in the “third parties'' tab, a checkbox “Consent to send paper format information”. This information must be editable from the Backoffice

Webpos:
Add, in the customer popup(edit and create), a checkbox “Consent to send information in paper format”. This information must be modifiable from the POS. Following the client's validation, no other action will be required.
Steps To ReproduceN/A
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0139969)
hgbot (developer)
2022-08-08 21:17

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/672 [^]
(0139970)
hgbot (developer)
2022-08-08 21:25

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/890 [^]
(0139971)
hgbot (developer)
2022-08-08 21:26

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.api/-/merge_requests/69 [^]
(0140011)
hgbot (developer)
2022-08-09 17:52

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.sampledata/-/merge_requests/27 [^]
(0140028)
hgbot (developer)
2022-08-10 09:03

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: ccd2df4f20991ea2be64190bf1e0bee2a5725b6b
Author: Antonio Moreno <antonio.moreno@openbravo.com>
Date: 10-08-2022 09:02:30
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/ccd2df4f20991ea2be64190bf1e0bee2a5725b6b [^]

Fixed ISSUE-49946: Merge branch 'fr/49946'

---
M src-db/database/model/tables/C_BPARTNER.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
---
(0140029)
hgbot (developer)
2022-08-10 09:03

Merge request merged: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/672 [^]
(0140030)
hgbot (developer)
2022-08-10 09:04

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: becf2ee223316a3db0fa0c07a6da4333c8a602f3
Author: Antonio Moreno <antonio.moreno@openbravo.com>
Date: 10-08-2022 09:04:27
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/becf2ee223316a3db0fa0c07a6da4333c8a602f3 [^]

Fixed ISSUE-49946: Merge branch 'fr/49946'

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src/org/openbravo/retail/posterminal/master/BusinessPartnerProperties.java
M web/org.openbravo.retail.posterminal/css/obpos-main.css
M web/org.openbravo.retail.posterminal/js/pointofsale/view/subwindows/customers/components/sharedcomponents.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/subwindows/customers/customerdetailview.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/subwindows/customers/editcreatecustomerform.js
---
(0140031)
hgbot (developer)
2022-08-10 09:04

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/890 [^]
(0140032)
hgbot (developer)
2022-08-10 09:06

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.api [^]
Changeset: e5fa6d9e225c6a2c310175546982e5caa3ba4bff
Author: Antonio Moreno <antonio.moreno@openbravo.com>
Date: 10-08-2022 09:06:06
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.api/-/commit/e5fa6d9e225c6a2c310175546982e5caa3ba4bff [^]

Fixed ISSUE-49946: Merge branch 'fr/49946'

---
M src-db/database/sourcedata/OBEI_PROP_MAP_INSTANCE.xml
---
(0140033)
hgbot (developer)
2022-08-10 09:06

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.api/-/merge_requests/69 [^]
(0140034)
hgbot (developer)
2022-08-10 09:08

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.sampledata [^]
Changeset: e649b0ac25b523375ed3c91d769bfe91c64d681c
Author: Antonio Moreno <antonio.moreno@openbravo.com>
Date: 10-08-2022 09:07:59
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.sampledata/-/commit/e649b0ac25b523375ed3c91d769bfe91c64d681c [^]

Fixed ISSUE-49946: Merge branch 'fr/49946'

---
M referencedata/sampledata/The_White_Valley_Group/C_BPARTNER.xml
---
(0140035)
hgbot (developer)
2022-08-10 09:08

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.sampledata/-/merge_requests/27 [^]
(0140036)
hgbot (developer)
2022-08-10 09:10

Repository: https://gitlab.com/openbravo/ci/modules/org.openbravo.test.mobile.sampledata [^]
Changeset: 8958866847325319c0f362e09384c8aa57b8c439
Author: Antonio Moreno <antonio.moreno@openbravo.com>
Date: 10-08-2022 09:10:36
URL: https://gitlab.com/openbravo/ci/modules/org.openbravo.test.mobile.sampledata/-/commit/8958866847325319c0f362e09384c8aa57b8c439 [^]

Related to ISSUE-49946: sampledata consistency

---
M referencedata/sampledata/The_White_Valley_Group/C_BPARTNER.xml
---
(0140037)
hgbot (developer)
2022-08-10 09:11

Repository: https://gitlab.com/openbravo/ci/modules/org.openbravo.retail.testsampledata [^]
Changeset: ef81337617cf64c29fa680cd58f875e52b7f325e
Author: Antonio Moreno <antonio.moreno@openbravo.com>
Date: 10-08-2022 09:11:38
URL: https://gitlab.com/openbravo/ci/modules/org.openbravo.retail.testsampledata/-/commit/ef81337617cf64c29fa680cd58f875e52b7f325e [^]

Related to ISSUE-49946: sampledata consistency

---
M referencedata/sampledata/Retail_Test/C_BPARTNER.xml
---
(0140038)
hgbot (developer)
2022-08-10 09:30

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: 296cee11bd29987b6b51f59c0f674d31f206a779
Author: Antonio Moreno <antonio.moreno@openbravo.com>
Date: 10-08-2022 09:30:22
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/296cee11bd29987b6b51f59c0f674d31f206a779 [^]

Related to ISSUE-49946: Fixed dbconsistency issue

---
M src-db/database/model/tables/C_BPARTNER.xml
---
(0140074)
hgbot (developer)
2022-08-11 16:34

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/893 [^]
(0140105)
hgbot (developer)
2022-08-12 13:26

Merge request closed: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/893 [^]
(0140107)
hgbot (developer)
2022-08-12 14:38

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/894 [^]
(0140108)
hgbot (developer)
2022-08-12 15:10

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/894 [^]
(0140109)
marvintm (manager)
2022-08-12 15:11

Property problem fixed in this commit:

https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/96e7d0e5ae752d6b50cbf6abaac9a2a8a0e953c5 [^]

- Issue History
Date Modified Username Field Change
2022-08-04 11:28 nicola_uva New Issue
2022-08-04 11:28 nicola_uva Assigned To => Retail
2022-08-04 11:28 nicola_uva Triggers an Emergency Pack => No
2022-08-08 21:17 hgbot Note Added: 0139969
2022-08-08 21:25 hgbot Note Added: 0139970
2022-08-08 21:26 hgbot Note Added: 0139971
2022-08-09 17:52 hgbot Note Added: 0140011
2022-08-10 09:03 hgbot Resolution open => fixed
2022-08-10 09:03 hgbot Status new => closed
2022-08-10 09:03 hgbot Fixed in Version => PR22Q4
2022-08-10 09:03 hgbot Note Added: 0140028
2022-08-10 09:03 hgbot Note Added: 0140029
2022-08-10 09:04 hgbot Fixed in Version PR22Q4 => RR22Q4
2022-08-10 09:04 hgbot Note Added: 0140030
2022-08-10 09:04 hgbot Note Added: 0140031
2022-08-10 09:06 hgbot Note Added: 0140032
2022-08-10 09:06 hgbot Note Added: 0140033
2022-08-10 09:08 hgbot Note Added: 0140034
2022-08-10 09:08 hgbot Note Added: 0140035
2022-08-10 09:10 hgbot Note Added: 0140036
2022-08-10 09:11 hgbot Note Added: 0140037
2022-08-10 09:30 hgbot Note Added: 0140038
2022-08-11 16:34 hgbot Note Added: 0140074
2022-08-12 13:26 hgbot Note Added: 0140105
2022-08-12 14:38 hgbot Note Added: 0140107
2022-08-12 15:10 hgbot Note Added: 0140108
2022-08-12 15:11 marvintm Note Added: 0140109


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker